The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> difftime - compute the difference between two calendar time values

#### SYNOPSIS

> ``#include <time.h>
> double difftime(time_t` time1`, time_t` time0`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The difftime() function shall compute the difference between two calendar times (as returned by time()): time1- time0.

#### RETURN VALUE

> The difftime() function shall return the difference expressed in seconds as a type double.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> asctime, clock, ctime, gmtime, localtime, mktime, strftime, strptime, time, utime

> XBD <time.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the ISO C standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]